scala.tools.nsc.backend.icode.Members

# Code

#### class Code extends AnyRef

This class represents the intermediate code of a method or other multi-block piece of code, like exception handlers.

Source
  Members.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
NoCode
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Code
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new Code(method: ICodes.IMethod)

2. #### new Code(method: ICodes.IMethod, name: Global.Name)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from ICodes.Code to any2stringadd[ICodes.Code] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (ICodes.Code, B)

   Implicit information
     This member is added by an implicit conversion from ICodes.Code to ArrowAssoc[ICodes.Code] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def blockCount: Int

8. #### val blocks: ListBuffer[ICodes.BasicBlock]

   The set of all blocks

9. #### def blocksList: List[ICodes.BasicBlock]

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### def ensuring(cond: (ICodes.Code) ⇒ Boolean, msg: ⇒ Any): ICodes.Code

    Implicit information
      This member is added by an implicit conversion from ICodes.Code to Ensuring[ICodes.Code] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: (ICodes.Code) ⇒ Boolean): ICodes.Code

    Implicit information
      This member is added by an implicit conversion from ICodes.Code to Ensuring[ICodes.Code] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: Boolean, msg: ⇒ Any): ICodes.Code

    Implicit information
      This member is added by an implicit conversion from ICodes.Code to Ensuring[ICodes.Code] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: Boolean): ICodes.Code

    Implicit information
      This member is added by an implicit conversion from ICodes.Code to Ensuring[ICodes.Code] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

17. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

18. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from ICodes.Code to StringFormat[ICodes.Code] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

19. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

20. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

21. #### def instructionCount: Int

22. #### def instructions: collection.immutable.List[ICodes.Instruction]

23. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

24. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

25. #### def newBlock(): ICodes.BasicBlock

26. #### def nextLabel: Int

27. #### final def notify(): Unit

    Definition Classes
      AnyRef

28. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

29. #### def removeBlock(b: ICodes.BasicBlock): Unit

30. #### var startBlock: ICodes.BasicBlock

    The start block of the method

31. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

32. #### def toString(): String

    This methods returns a string representation of the ICode

    This methods returns a string representation of the ICode

    Definition Classes
      Code → AnyRef → Any

33. #### def touched: Boolean

34. #### def touched_=(b: Boolean): Unit

35. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

36. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

37. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### def →[B](y: B): (ICodes.Code, B)

    Implicit information
      This member is added by an implicit conversion from ICodes.Code to ArrowAssoc[ICodes.Code] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from ICodes.Code to any2stringadd[ICodes.Code]

### Inherited by implicit conversion StringFormat from ICodes.Code to StringFormat[ICodes.Code]

### Inherited by implicit conversion Ensuring from ICodes.Code to Ensuring[ICodes.Code]

### Inherited by implicit conversion ArrowAssoc from ICodes.Code to ArrowAssoc[ICodes.Code]

### Ungrouped